{%- if appRoute != 'app_post' -%}
    {%- if post.strimi_metadata is defined and post.strimi_metadata|length > null -%}
        {%- set postThumb = null -%}
        {%- set postThumbBlank = null -%}

        {%- if post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'image' -%}
            {%- set postThumb = post.strimi_metadata.source -%}
        {%- elseif post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'video' -%}
            {%- set postThumb = post.strimi_metadata.thumb -%}
        {%- elseif post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'text' -%}
            {%- set postThumb = null -%}
            {%- set postThumbBlank = true -%}
        {%- elseif post.strimi_metadata.thumb is defined -%}
            {%- set postThumb = post.strimi_metadata.thumb -%}
        {%- else -%}
            {%- set postThumb = null -%}
        {%- endif -%}

        <a href="{{- postUri -}}" class="image-content {% if postThumb == null %}blank"{% else %}lazy" data-src="{{- steemit.image_host ~ '256x512/' ~ postThumb -}}"{% endif %}>
            {%- set videoType = false -%}
            {%- if post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'video' -%}
                {%- set videoType = true -%}
            {%- endif -%}
            <div class="image-content-ico {% if videoType %}video{% endif %}">
                {%- if post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'video' -%}
                    <i class="icon-control-play"></i>
                {%- elseif post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'link' -%}
                    <i class="icon-link"></i>
                {%- elseif post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'image' -%}
                    <i class="ti-image"></i>
                {%- elseif post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'text' -%}
                    <i class="ti-align-center"></i>
                {%- endif -%}
            </div>
            {%- if postThumb == null -%}
                <i class="fa fa-eye-slash" aria-hidden="true"></i>
            {%- endif -%}
        </a>
    {%- elseif post.json_metadata is defined and post.json_metadata.image is defined and post.json_metadata.image|length > null -%}
        <a href="{{- postUri -}}" class="image-content lazy" data-src="{{- steemit.image_host ~ '256x512/' ~ post.json_metadata.image[0] -}}"></a>
    {%- else -%}
        <a href="{{- postUri -}}" class="image-content blank">
            <i class="fa fa-eye-slash" aria-hidden="true"></i>
        </a>
    {%- endif -%}
{%- else -%}
    {%- if post.strimi_metadata is defined and post.strimi_metadata|length > null -%}
        {%- if post.strimi_metadata.type is defined and post.strimi_metadata.type.type == 'link' -%}

            {%- set postThumb = null -%}
            {%- set postThumbBlank = true -%}
            {%- if post.strimi_metadata.thumb is defined and post.strimi_metadata.thumb|length > 0 -%}
                {%- set postThumb = post.strimi_metadata.thumb -%}
                {%- set postThumbBlank = false -%}
            {%- endif -%}
            <a href="{{- postUri -}}" class="image-content {% if postThumbBlank == true %}blank"{% else %}lazy" data-src="{{- steemit.image_host ~ '256x512/' ~ postThumb -}}"{% endif %}>
                <div class="image-content-ico">
                    <i class="icon-link"></i>
                </div>
                {%- if postThumbBlank == null -%}
                    <i class="fa fa-eye-slash" aria-hidden="true"></i>
                {%- endif -%}
            </a>
        {%- endif -%}
    {%- endif -%}
{%- endif -%}